Modems

Modem support is provided by the TAPI Unimodem 5 Service Provider in Windows 2000. It enables you to install and use almost any modem available today. Modems are used by programs installed with Windows 2000, such as HyperTerminal, Network and Dial-up Connections, Phone Dialer, and Fax, as well as by many other Windows 2000-compatible products, including software required to gain access to Internet service providers.

  • Before you begin using modems with this computer, see Checklist: Installing and configuring modems.
  • To find features that have been moved in Windows 2000, see New ways to do familiar tasks.
  • For tips about using modems, see Best practices.
  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


Checklist: Installing and configuring modems

Step | Reference
Review key concepts. | Modems overview; Understanding modems; Dialing rules
Install modem hardware. | Installing a modem
Install the modem. | Install a modem, Install an unsupported modem
Configure the installed modem. | Configure an installed modem, Change how modems initialize and connect, Change modem data and hardware settings
Set dialing properties for your location. | Dialing rules; Change dialing properties for a location
Connect using your modem. | Connect using your modem


New ways to do familiar tasks

This table lists common tasks for modems. The procedure for performing these tasks is different in Windows 2000 than it was in Windows NT 4.0.

If you want to | In Windows NT 4.0, use | In Windows 2000, use
Install a modem | Modems in Control Panel | Open Phone and Modem Options. For more information, see Install a modem.
Configure a modem | Modems in Control Panel. | Open Phone and Modem Options. For more information, see Configure an installed modem.
Test or troubleshoot a modem. | Terminal program, such as Hyperterminal. | Open Phone and Modem Options. For more information, see Test a modem.


Best practices

The following list provides best practices for installing and using modems. Review this list before you use modems.

  • Turn on any external modems before you start Windows.

    If an external Plug and Play modem is not turned on before you start Windows, Windows may not detect it correctly.

    For more information, see Troubleshooting modems.

  • If Windows does not support your modem make and model, check the manufacturer's Web site for the latest installation or .inf file.

    The installation files, particularly for new modems, are often added or updated by manufacturers. If you cannot find your modem listed in Windows, look in the manufacturer's documentation to find if the modem has the same characteristics as another supported modem.

    For more information, see Installing a modem.

  • Use the Phone and Modem Options diagnostics utility to test and troubleshoot a modem.

    • The Diagnostics tab of Phone and Modem Options in Control Panel enables you to quickly see if the modem is responding to commands. You can also configure logging and view logs.

    For more information, see Modem diagnostics, To test a modem, To log and view modem commands.

  • Before you connect to another computer or online service provider, check the hardware settings for your modem.

    The data connection parameters for two modems need to be identical for them to connect successfully. Refer to the documentation provided by your service provider for the correct settings. Typical settings are:

    • 8 data bits
    • None for parity
    • One stop bit

    Bulletin boards and most service providers use these settings. If these do not work, try seven data bits, even parity, and one stop bit. A few online service providers use these settings. Other settings are extremely rare.

    For more information, see Hardware settings.

  • When you install the same make and model of modem on multiple ports, first install it on one port, and then duplicate the installation for the remaining ports.

    For more information, see Duplicate a modem installation on multiple ports.

  • To change the same setting for modems installed on multiple ports, first change the setting on one modem and then copy the change to the remaining modems.

    For more information, see Copy modem properties to modems on multiple ports.

  • Rarely, you may have to configure the COM port before installing a modem.

    For most modems, Windows 2000 automatically configures the COM port for a modem. The following exceptions may occur:

    • If you install an internal modem card which is not compatible with Plug and Play specifications, you may have to configure its built-in COM port by using Add/Remove Hardware in Control Panel before you can install the modem in Windows 2000.
    • If you are using Windows 2000 PCMCIA drivers, Windows 2000 will detect and configure PCMCIA modem cards automatically when you first insert them. If the card is not detected, you might need to run Add/Remove Hardware in Control Panel to configure the card's built-in COM port. You then install the PCMCIA modem by using the Phone and Modem Options in Control Panel.

    For more information, see To install a modem, Troubleshooting network and dial-up connections.

  • If you create a direct connection to a computer, Windows CE device, or other device, make sure that the maximum port speed in the connection properties is set as high as supported by the device.

    • The initial maximum port speed for a direct connection created in the Phone and Modem Options in Control Panel is 19.2 Kbps. If the device on a connection supports higher data transmission speeds, you can increase the maximum port speed to that supported by the device. To find the correct speed, refer to the manufacturer's documentation provided with the device.

    For more information, see Change the maximum modem port speed, Optimizing data transfer speed.


How to ...

  • Install or remove modems
  • Install and configure modems on multiple ports
  • Test modems
  • Change how modems initialize and connect
  • Change modem data and hardware settings


Install or remove modems

  • Install a modem
  • Install an unsupported modem
  • Configure an installed modem
  • Change the COM port for a modem
  • Remove a modem


Install a modem

To install a modem

  1. Open Phone and Modem Options in Control Panel.
  2. (Optional) If you are prompted for location information, enter dialing information for your location and click OK.
  3. On the Modems tab, click Add.
  4. Follow the instructions in the Install New Modem wizard.

Notes

  • If the Install New Modem wizard doesn't detect your modem or you cannot find it listed, see Related Topics for instructions on installing an unsupported modem.
  • If you are installing an external modem, if a cable is not provided, refer to the manufacturer's instructions for cabling requirements. Most common cables will work, but some cables do not have all the pins connected. Do not use the 9-to-25 pin converters that come with most mouse hardware, because some of them do not carry modem signals.

Related Topics


Install an unsupported modem

To install an unsupported modem

  1. Open Phone and Modem Options in Control Panel.

    If you are prompted for location information, enter dialing information for your location and click OK.

  2. On the Modems tab, click Add.
  3. In the Install New Modem wizard, select the Don't detect my modem; I will select it from a list check box, and then click Next.
  4. Do one of the following:
    If | Do this
    A modem is listed that is a good match for your modem | On the list of modems, click the manufacturer and model that is the best match for your modem, and then click Next.
    If your modem is not listed and and you have an installation disk or .inf file provided by the manufacturer | Click Have Disk and specify the location of the disk or .inf file
  5. Follow the remaining instructions provided by the Install New Modem wizard.

Notes

  • If possible, get the latest installation disk or modem .inf file designed for Windows 2000 from the manufacturer. This can usually be downloaded from the manufacturer's Web pages. If Windows 2000 installation files are unavailable, you can try using an installation disk or .inf file for Windows NT 4.0, Windows 98, or Windows 95. It may work correctly in Windows 2000 as well.
  • If no installation file is available for the modem, the manufacturer's instructions that came with the modem may specify a compatible modem. Otherwise, click (Standard Modem Types) in Manufacturers, and try choosing the standard modem with the speed matching your modem.
  • If a cable is not provided with an external modem, refer to the manufacturer's instructions for cabling requirements. Most but not all off-the-shelf cables will work. Some cables do not have all the pins connected. Do not use the 9-to-25 pin converters that come with most mouse hardware, because some of them do not carry modem signals.

Related Topics


Configure an installed modem

To configure an installed modem

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem you want to configure, and then click Properties.
  3. Enter the changes you want:
    To | Do this
    Change the speaker volume, maximum port speed, or wait for a dial tone before dialing. | Click the General tab.
    View diagnostic information, including commands supported by your modem, or to view a log of modem activity. | Click the Diagnostics tab.
    Add extra initialization commands. | Click the Advanced tab.
    Change call preferences (manual dialing or disconnecting) or data connection preferences (port speed, data protocol, compression, or flow control). | Click the Advanced tab, then click Change Default Preferences.
    Change hardware settings (data bits, parity, stop bits, or modulation). | Click the Advanced tab, click Change Default Preferences, and then click the Advanced tab.

Note

Related Topics


Change the COM port for a modem

To change the COM port for a modem

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem you want to configure, and then click Properties.
  3. On the Advanced tab, click Advanced Port Settings.

    If this option is not displayed, the modem does not support changing the assigned COM port

  4. In Com Port Number, click the port number you want to use.

Notes

  • Do not change this setting unless it is required by your system configuration. The communications port is normally assigned correctly when you install a modem.
  • The advanced COM port settings are available only for certain brands of modems. If you do not have one of these modems, to change the assigned COM port, you must reinstall the modem and choose the desired COM port.

Related Topics


Remove a modem

To remove a modem

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem that you want to delete.
  3. Click Remove.

Note

Related Topics


Install and configure modems on multiple ports

  • Duplicate a modem installation on multiple ports
  • Copy modem properties to modems on multiple ports


Duplicate a modem installation on multiple ports

To duplicate a modem installation on multiple ports

  1. Install the modem you want to duplicate on at least one port.

    See Related Topics if you have not done this already.

  2. Open Phone and Modem Options in Control Panel.
  3. On the Modems tab, right-click the modem you want to duplicate to other ports.
  4. Click Duplicate.
  5. Choose to duplicate the modem installation on all ports in the list or only on selected ports.
    • Click All ports to duplicate the modem installation on all ports shown on the list.
    • Click Selected ports and then select the ports to duplicate the modem installation only on selected ports.

Notes

  • Use this procedure to quickly duplicate a modem installation when you are installing the same make and model of modem on more than one port.

Related Topics


Copy modem properties to modems on multiple ports

To copy modem properties to modems on multiple ports

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, right-click the modem with the properties you want to copy.
  3. Click Copy properties.
  4. Right-click the modem to which you want to copy the properties, then click Apply.

Notes

  • Use this procedure to quickly duplicate changes to modem properties from one modem to modems on other ports.

Related Topics


Test modems

  • Test a modem
  • Log modem commands and view logs


Test a modem

To test a modem

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem that you want to test.
  3. Click Properties, then click Diagnostics, then click Query Modem.

Notes

  • This procedure sends standard AT commands to your modem and displays the responses to indicate features supported by your modem.

Related Topics


Log and view modem commands

To log and view modem commands

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem whose commands you want to log.
  3. Click Properties, then click the Diagnostics tab.
  4. In Logging, select the Append to Log check box if you are working on a computer running Windows 2000 Professional or Record a Log if you are working on a computer running Windows 2000 Server.

Notes

  • Click View Log to display the log file.
  • Commands sent to the modem are captured in the file

    Systemroot\ModemLog_Model.txt.

    Systemroot is usually C:\Winnt\System32\. Model is the name of the modem as it appears in the list of installed modems on the Modems tab of Phone and Modem Options.
  • On Windows 2000 Professional, logging is always turned on and the log is overwritten at the beginning of every session unless you select the Append to Log check box. On Windows 2000 Server, logging is turned off unless you select the Record a Log check box.

Related Topics


Change how modems initialize and connect

  • Specify initialization commands
  • Wait for dial tone before dialing
  • Adjust modem speaker volume
  • Specify disconnect times


Specify initialization commands

To specify initialization commands

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem that you want to configure.
  3. Click Properties. then click the Advanced tab.
  4. In Extra initialization commands, type the commands that should be sent to the modem when it is initialized.

Notes

  • Type the commands exactly as they should be sent, with no extra spaces or characters. The AT prefix is unnecessary.
  • The commands you enter here are sent after the standard initialization commands for the selected modem. This enables you to change the modem behavior or configuration as required by your communication software or to communicate with a service provider. For more information about the commands recognized by your modem, refer to the manufacturer's documentation or Web site.

Related Topics


Wait for dial tone before dialing

To wait for dial tone before dialing

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem that you want to configure, then click Properties.
  3. On the General tab, select the Wait for dial tone before dialing check box.

Notes

  • If you clear the Wait for dial tone before dialing check box, your modem will dial without waiting for a dial tone. This may be necessary if a phone line does not provide a standard dial tone.

Related Topics


Adjust modem speaker volume

To adjust modem speaker volume

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem that you want to configure, then click Properties.
  3. On the General tab, under Speaker volume, move the slider to the left or right to adjust the volume.

Notes

  • Some modems do not support this functionality.

Related Topics


Specify disconnect times

To specify disconnect times

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem that you want to configure, then click Properties.
  3. Click the Advanced tab, then click Change Default Preferences.
  4. On the General tab, under Call preferences:
    5. To | Do this
Automatically disconnect when a connection is not used for a specified time. | Select the Disconnect a call if idle for more than check box, and then type the number of minutes the modem should wait before disconnecting.
Change the time allowed to make a new connection. | Type the number of seconds in Cancel the call if not connected within.

Notes

  • Note that these are the default settings. If these parameters are specified by an application program, the program's settings take precedence.
  • If you are using a network connection, the disconnect time is determined by the redialing options for the network connection rather than by the setting in the modem's properties. See Related Topics for the procedure to configure a connection.

Related Topics


Change modem data and hardware settings

  • Change the maximum modem port speed
  • Change data connection preferences
  • Change hardware settings
  • Designate hardware or software compression


Change the maximum modem port speed

To change the maximum modem port speed

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem that you want to configure, then click Properties.
  3. On the General tab, in the Maximum Port Speed list, click the speed for the modem.

Notes

  • This value is usually set correctly when the modem is installed.
  • This speed represents the maximum speed programs are allowed to transmit data to the modem and is normally faster than the modem speed. For example, this is usually set to 57,600 bps for a 33.6 Kbps (V.34) modem.
  • Changing this setting also sets the current speed for the modem. To set a different value for the current speed, see Related Topics for the procedure to change the data connection preferences.

Related Topics


Change data connection preferences

To change data connection preferences

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem that you want to configure, click Properties, click Advanced, then click Change Default Preferences.
  3. On the General tab, under Data Connection Preferences, change the setting for Port speed, Data protocol, Compression, or Flow control.

Notes

  • These values are usually set correctly when the modem is installed.

Related Topics


Change hardware settings

To change hardware settings

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem that you want to configure, click Properties.
  3. Click the Advanced tab.
  4. Click Change Default Preferences.
  5. Click the Advanced tab.
  6. Under Hardware Settings, change the setting for Data bits, Parity, Stop bits, or Modulation.

Notes

  • These values are usually set correctly when the modem is installed.

Related Topics


Designate hardware or software compression

To designate hardware or software compression

  1. Open Phone and Modem Options in Control Panel.
  2. On the Modems tab, click the modem that you want to configure.
  3. Click Properties.
  4. Click the Advanced tab.
  5. Click Change Default Preferences.
  6. In Data Connection Preferences, in the Compression list, click Enabled or Disabled.

Notes

  • Some communications programs provide efficient software compression. If you are using a program that provides software compression, turning off hardware compression often provides the highest data throughput speed.

Related Topics


Concepts

  • Modem overview
  • Understanding modems
  • Using modems
  • Resources


Modem overview

Telephone lines that are used in a conventional phone system are designed to transmit human speech with analog signals. Analog signals vary continuously, like waves, along their length. Computers store and process data in digital format and communicate both internally and with each other in binary digits.

When two computers communicate with each other over a conventional phone line, a modem translates the binary information from the computer at the sending end to an analog signal that can pass over the phone line. At the receiving end, another modem translates the analog signal back to binary information that can be used by the computer. The conversion from binary to analog information is called modulation and the conversion back from analog to binary is called demodulation. The word modem, short for modulator/demodulator, is the name for the device that performs these conversions.

Both standard modems and fax modems perform this conversion. There are also ISDN and cable modems that provide digital communication. These are not really modems because they do not convert digital and analog signals. They enable computers to transmit digital information directly without the conversion. When you communicate over analog telephone lines, you need standard modems.

The speed at which modems transmit data is called the throughput. This is measured in bits per second (bps).

The conversion between digital and analog data is governed by proprietary and international standards, called modem protocols. Improving protocols have allowed faster data throughput rates. Besides using the available bandwidth more effectively, protocols have incorporated data compression to speed the throughput and error control for greater reliability. The protocols for modems operating at 56 kilobits per second (Kbps) are now designed to support receiving data from an Internet service provider connected to a digital line but sending with the standard digital-to-analog conversion.

Windows supports many different modems. If you are looking for a new modem that is compatible with Windows, you should choose a modem from the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/). Microsoft has tested these modems with Network and Dial-up Connections. If you have a modem that is not on this list, it may still work perfectly well with Windows, especially if the manufacturer provides an installation disk or .inf file for Windows. Some modems are compatible with a supported modem and may be installed by choosing the supported information. Check the documentation provided with the modem for details. You may also find installation files or other useful information at the manufacturer's Web site.


Understanding modems

This section presents concepts related to modem use:

  • Data transfer speed
  • Protocols and standards
  • The V.90 modulation protocol
  • Error correction
  • Data compression
  • Flow control
  • Hardware settings


Data transfer speed

When you initiate a dial-up connection, there are three separate components that determine the speed of the connection:

  • The local interface speed is the speed of the connection between your computer and your modem, also called the DTE rate.
  • The connection speed is the speed at which data is transmitted between modems over the communication lines, also called the DCE rate.
  • The remote interface speed is the speed at which data is transmitted between the receiving modem and computer.

The actual speed at which data is transmitted between computers depends on all three rates. When you buy a modem, the manufacturer normally specifies the maximum connection speed. The maximum port speed that can be set in Phone and Modem Options represents the maximum local interface speed that communications programs can use to send data to the modem. The remote interface speed may also limit transmission speeds. For example, an online service provider must support the same 56 Kbps protocol used by your modem for you to receive high speed transmissions with a 56 Kbps modem. (See Attaining fast speeds with a 56 Kbps modem).

Most high-speed modems today fix their local interface speed at a given value instead of changing it according to the connection speed. The local interface speed is then normally higher than the actual transmission of data over the phone line. For example, a V.34 modem that supports 33.6 Kbps may have its maximum port speed set for 115.2 Kbps.

This difference, called speed buffering, allows a modem to seem faster than the actual connection speed. Using this, a modem can compress the data and send it in fewer bits. Since there are fewer bits, it takes less time to transmit than the uncompressed data. The V.34 modem may then obtain throughput rates of 33.6 Kbps even though the line is carrying fewer actual bits than that.


Protocols and standards

Modulation standards are published by the International Telecommunications Union Telecommunication Standardization Sector, or ITU-T. These ITU-T standards are often called the V-series because they are designated with a V prefix (for example, V.34). The suffixes bis and terbo on some of the standards designate second and third revisions.

Private companies, such as Bell Systems, Western Electric, and AT&T, have also set standards that were more widely used in the past. They are now mostly either obsolete or used along with the ITU-T standards. In particular, the Bell standards were once widely used in the United States and are still supported by many modems for backward compatibility.

Newer protocols generally provide faster communication. To be able to communicate with each other, two modems must support the same protocol. The modem chip set determines which protocols are supported by your modem and the speeds at which it can transmit data. A driver installed on your computer does the same for software-driven modems.

Compatibility and speed

Modems from different manufacturers, and even different models from the same manufacturer, may be incompatible in some settings and circumstances. Even modems that claim to follow the Hayes AT command set may, at times, be unable to communicate with other Hayes-compatible modems.

Because modems achieve high speeds in different ways, compatibility problems increase with high-speed modems. Even modems that follow a standard for modulation, compression, and error correction may be unable to communicate with each other at higher speeds. Therefore, the faster protocols have specified fallbacks to slower protocols.

When a modem connects with another modem, the calling modem sends a tone using the selected modulation. If the answering modem supports the same modulation, they connect immediately. Otherwise, the modems attempt to fall back to a lower type of modulation until they find the highest modulation they have in common. Modems usually support fallback through the ITU-T standard modulations. A V.90 modem falls back to V.34, and a V.34 modem falls back to V.32bis and then V.32.

Even after connecting with a particular modulation, two modems may also fall back to a slower speed when they are unable to maintain a reliable connection. For example, the V.32bis and V.34 connections can be made at the following speeds:

Modulation | Connection speeds (bps)
V.32bis | 14,400, 12,000, 9600, 7000
V.34 | 33,600, 31,200, 28,800, ..., 2400 bps

Because a modem can fall back either to a slower protocol or to slower speeds without changing the protocol, transmission speeds that are slower than expected do not necessarily indicate a problem with your line or modem.

For information about the V.90 protocol, see The V.90 modulation protocol.


The V.90 modulation protocol

Windows supports 56 kilobytes per second (Kbps) modems. The international standard for 56 Kbps modems is the V.90 protocol. This protocol is designed for Internet service provider (ISP)-to-client connections. The V.90 protocol (and the proprietary K56flex and X2 protocols that preceded it) is different from previous protocols because it provides for different host-to-client and client-to-host speeds. The V.90 protocol provides for transmission speeds of up to 56 Kbps from an ISP host to the client and up to 33.6 Kbps for client-to-host transmissions.

The 56 Kbps modem technology takes advantage of the digital connection to the public telephone network used now by most Internet and other online service providers. With no analog-to-digital conversion, the host transmission can attain higher speeds.

When sending data, the client transmission must still make the analog-to-digital conversion somewhere between the client and the central office. Client-to-host transmissions therefore use the V.34 standard with data rates limited to 33.6 Kbps. This is not actually a great limitation, because graphics-intensive Web pages, audio files, and video files are downloaded from an ISP at near-ISDN speeds. Client-to-host communication is usually limited to keystrokes and mouse clicks, which would not be noticeably improved by faster communication speeds.

The V.90 standard is compatible with previous communication standards, such as V.34. When a V.90 modem connects with a remote computer that supports the V.90 protocol, it checks the line to determine whether any analog-to-digital conversions of the host transmissions have taken place. If the modem detects an analog-to-digital conversion, it falls back to the V.34 protocol. A V.90 modem also attempts a V.34 connection when the remote computer does not support the V.90 protocol.

If you have a V.90 modem that seems to be performing poorly, see Attaining fast speeds with a 56 Kbps modem. For more information about modem protocols, see Protocols and standards.


Error correction

All analog phone lines have noise that interferes with a data connection, especially for fast connections. Error correction detects and corrects corruption during transmission.

All modems in a network must use the same error-correction protocols in order for the network to work. Most modems use the V.42 error-correction protocol to detect and resend corrupted data. V.42bis is like V.42, but adds data compression. Another commonly used error correction protocol is MNP 4.

Error correction is normally configured correctly by Windows 2000 when you install a modem. See To change data connection preferences to change these settings. The following table explains the three settings for Data Protocol.

Setting | Result
Standard EC | Allows the modems to negotiate the error correction method (V.42, MNP 4, MNP 3, MNP 2, or none) used for the connection.
Forced EC | Requires that the modems use the V.42 error correction method or terminate the connection when V.42 cannot be used.
Disabled | Prevents a modem from using error correction.

Sometimes a modem with error correction may take too long to negotiate with a service provider's modem and the service provider hangs up. Disabling error correction may then allow an unbroken connection. Removing error correction may make your connection less reliable.

Although error correction is very good for modern modems, no method is completely foolproof.


Data compression

Data compression enables information to be transmitted beyond the actual connection speed. Data, particularly text and graphics, usually contain repeated sequences of identical information. Data compression works by replacing many characters of repeated information with a few characters and transmitting only one copy of repeated sequences of data.

Common methods for compressing data include MNP 3, MNP 4, MNP 5, and V.42bis.

The effectiveness of compression varies, depending on the data. Text and graphics may often be compressed considerably. Compression for data that is already compressed may be less efficient because the modem is trying to compress data that is already compressed. V.42bis handles compressed data better than the other protocols.

For any error correction or data compression protocol to work, modems on both ends of the connection must support the protocol. Once two modems are connected, they automatically negotiate to determine the best mutual protocol. For example, if V.42bis fails, the backup is MNP 5, and if it fails, the backup is "no compression."

To achieve maximum rates when transferring data, hardware flow control is required, and the maximum port speed must be set for two to four times the rated speed of the modem. This is usually configured correctly when you install a modem. If you know which type of compression is supported by your modem, you can calculate this value by multiplying the modem speed by the ratio shown above. For example, for a 14.4 kilobit per second (Kbps) modem with V.42bis compression, you would perform the following calculation.

14.4 Kbps x 4 = 57.6 Kbps

This value is the maximum rate that data may be transferred by the modem. The actual throughput depends on the data.

Software data compression

Communication software, such as Network and Dial-up Connections, may support data compression. For example, using a 14.4 Kbps V.32bis modem, you can enable software compression, and experience an average throughput of 28.8 Kbps. Tests show that software compression can result in higher data transfer rates than hardware compression.

If you use software compression, you may want to check the settings. For best results with software compression, you can check your modem's properties for the following:

  • Enable modem error correction by setting Data Protocol to Standard EC or Forced EC.
  • Disable hardware compression by setting Compression to Disabled.
  • Enable the software compression provided by your communication software.

See To change data connection preferences to change this setting for a modem.


Flow control

There are six different links involved in a connection: transmitting computer to transmitting modem, transmitting modem to receiving modem, receiving modem to computer, and the reverse of all three links. They can all have different data transmission rates. When the receiving modem is temporarily unable to accept the data, it needs a way to tell the transmitting modem to slow down or wait for it. Flow control is the method by which a modem controls the rate at which other modems send data to it.

If flow control is improperly configured, it may be impossible to connect to a remote system, the transfer rate may be considerably slowed, or the connection may be disrupted. If you see many errors and retransmittal of data when downloading files, check both the modem and the communication program settings for flow control. Flow control settings for both the communication program and the modem must be the same. Many communication programs set these automatically based on the modem, but some must be configured separately.

Hardware flow control

Hardware flow (RTS/CTS) control depends on the modem to control the flow of data. This should be used with all high-speed modems or modems that compress data.

Software flow control

Software flow (also called XON/XOFF or CTRL+S/CTRL+Q) control uses data characters to indicate that the data flow should start or stop. This enables a modem to send a control character to signal another modem to stop transmitting while it catches up.

Software flow control is slower and usually less desirable than hardware flow control. Software flow control is used only for transmitting text. It cannot be used for binary file transfer because binary data may contain the special flow control characters.

See To change data connection preferences to set hardware or software flow control for a modem.


Hardware settings

The connection preferences for a modem provide hardware settings that determine how data is sent and reassembled by modems. To change hardware settings, see To change hardware settings.

Data bits

Data bits are the number of bits in a word. Most systems now use eight bits to represent a single data character (extended ASCII). In rare instances, some older systems still use seven bits.

Parity

Parity controls how modems check for errors. Line noise can insert extra bits into data being transmitted over a phone line. In older modulation types, parity checked for these errors. With parity checking, the transmitting modem adds a parity bit to the data packet in order to make the number of 1 bits in the packet odd or even. The receiving modem adds up the number of 1 bits that is received and accepts or rejects the packet depending on whether the sum agrees with the parity bit.

Windows 2000 provides several settings for parity.

Set this | To do this
Even | Set the parity bit to 0 or 1 to make the number of 1 bits even.
Odd | Set the parity bit to 0 or 1 to make the number of 1 bits odd.
None | Send no parity bit.
Mark | Set the parity bit always to 1.
Space | Set the parity bit always to 0.

Most modem connections now use more reliable and sophisticated methods of error checking (see Error correction), so this is usually set to None.

Stop bits

Stop bits frame data packets in asynchronous communication. These tell the receiving modem that a byte has been sent. Modern asynchronous protocols never require more than one stop bit.

Modulation

In the hardware settings, modulation is the protocol that a modem uses to translate digital information to the audio tones transmitted over a standard telephone line. Both computers must be using the same type of modulation to exchange information successfully.

You can switch the modulation type to be compatible with the modem signals for the computer to which you are trying to connect. Most modems fall into the standard category, but if you are having trouble connecting, try switching to a nonstandard modulation type. These include the Bell protocols for older modems, and proprietary protocols, such as the US Robotics HST protocol.


Using modems

This section contains information you can use to install and configure modems:

  • Installing a modem
  • Setting hardware connections
  • Optimizing data transfer speed
  • Attaining fast speeds with a 56 Kbps modem
  • Null modem cabling
  • Modem diagnostics
  • Connect using your modem


Installing a modem

To install the modem hardware on your computer, refer to the manufacturer's documentation. Generally, the following instructions apply:

  • If you have an internal modem with jumpers, set the jumpers for Plug and Play for Windows 2000 or, if that option is unavailable, for Windows 98 or Windows 95.
  • Install an internal modem in an empty slot. Attach an external serial modem to an unused COM port.
  • If you have an external modem, ensure that it is attached to the computer, plugged into the power source, and turned on before you turn on the computer and start Windows.
  • Ensure that your modem is properly connected to the phone line and to your computer.

Most modems manufactured now are compatible with Plug and Play and installed automatically after they are connected to the computer. However, older modems and external serial modems may not be detected. If your modem is not installed automatically, then use Phone and Modem Options in Control Panel to install it manually. To install a modem, see To install a modem. To choose the modem type manually, see To install an unsupported modem.


Setting hardware connections

A modem has to be connected to the telephone system and to a power source.

Telephone connections

Both internal and external modems use a modular phone cord, called an RJ-11 coupler. Usually, a new modem includes the coupler. If you have an older, four-pronged jack, you may also need an adapter to connect to your phone line.

If your office has digital, PBX or multiline phones, you cannot connect a modem directly to the phone system. You need to either install a standard line or install a device that connects your modem to one of these systems. See your computer or telephone supplier for specialized solutions.

Power connections

Internal modems are powered directly by the computer. External modems usually come with a power adapter, but are sometimes powered by the computer. Most portable modems for portable computers use batteries, although they often come with an adapter too. Some are powered directly from the computer. Modems use different sizes and styles of adapters, so if you lose the adapter, you need to get a new one from the modem or computer manufacturer. Refer to the manufacturer's documentation for additional information about the power requirements of your computer.

Cabling Connections

External serial modems connect to the computer with a serial cable, also called an RS-232 cable. If a cable is not provided with your modem, make sure you get one that fits both your computer's serial port and the modem's port.


Optimizing data transfer speed

The speed settings for a modem are usually set correctly during installation. There are two different speeds set in Phone and Modem Options: Maximum Port Speed in the general modem properties and Port Speed in the default preferences. Both of these specify the speed at which communication programs send data to the modem, not the speed at which data is transferred between your modem and the remote modem.

The Maximum Port Speed specifies the maximum speed programs can transmit data to a modem. Most programs set their own speed, so this limits the speed at which they can send data. The Port Speed is the current port speed for the modem. These two settings are usually the same, although there are some instances in which one should be changed. Do not change these speeds just to match the rated speed for your modem.

Measuring your modem speed

There are several separate components that determine the speed of the connection. When a program or hardware reports transmission speeds, note carefully what is being reported. For example, if a V.34 modem rated at 33.6 kilobits per second (Kbps) reports a connection speed of 38.4 Kbps or higher, it is reporting the port speed that data is transmitted from the computer to the modem rather than the rate that data is transmitted between modems.

For practical purposes, you want to know the throughput speed, the speed that your data is transferred between your communications program and the program on another computer. Communications programs usually report the throughput speed and normally provide the speed in either bits per second (bps) or characters per second (cps). For serial communications, speed in bits per second can be divided by 10 to approximate the characters transmitted per second.

Check the throughput speed after you start communicating with the remote computer. The initial throughput speed is not necessarily a good estimate of the transmission speed. Modems often shift speed up or slow down after the initial connection. Modems can fall forward or fall back depending on the quality of the connection and other factors.

Transmission speeds for direct serial connections

When you create a direct serial connection to another computer or device, you may need to adjust the maximum port speed for the connection. The initial setting for a direct serial connection is 19.2 Kbps. For a Windows CE device or other device that supports higher data transmission speeds, change the maximum port speed to the correct speed. Refer to the manufacturer's instructions for the transmission speed supported by the device.

For additional information, see Attaining fast speeds with a 56 Kbps modem, Data transfer speed, Improving modem throughput speeds, To change data connection preferences, or To change the maximum port speed.


Attaining fast speeds with a 56 Kbps modem

A modem connection must fulfill three requirements to support a 56 kilobits per second (Kbps) (also called V.90) connection.

  1. The host server must use a digital connection to the network. Your Internet service provider can tell you if they support 56 Kbps service.
  2. Both ends of the connection must support the same protocol, the V.90 standard or either of its predecessors, K56flex, or 3COM/USR X2. For example, if your Internet service provider has a V.90 device, your modem must support the V.90 protocol.
  3. There can only be one analog connection between your modem and the host computer. The phone line in most homes is an analog line.

If a connection does not meet these requirements, a modem falls back to the fastest protocol that works for the connection. For example, a 56 Kbps V.90 modem falls back to the 33.6 Kbps V.34 protocol if it cannot make a V.90 connection. Even if your connection fulfills these requirements, other factors may reduce either the transmission speed or the number of times that you successfully obtain the highest speed connection. For example, old lines or lines that are subject to interference may reduce transmission speeds. Maximum throughput speeds of 26 Kbps are not unusual in these cases.

Devices to improve the quality of your telephone service may also hamper 56 Kbps V.90 modem connections. Load coils found on long wire lengths to improve voice quality do not usually prevent V.90 connections, but can reduce the speed. Digital pads, which balance the volume of voice calls, usually do not prevent V.90 connections, but they can reduce the speed. Analog pads prevent V.90 connections, because they convert the digital data to analog to balance the volume and then back to digital. This inserts an additional analog section in the line.

In practice, the 56 Kbps speed supported by the V.90 and other protocols is unattainable. U.S. government regulations to safeguard public phone systems right now limit transmission speeds to 53 Kbps. Phone-line noise and other limitations of phone systems usually keep average transmissions in the 40 to 50 Kbps range.

For more information, see The V.90 modulation protocol, Data transfer speed, Improving modem throughput speeds, Optimizing data transfer speed, and Protocols and standards.


Null modem cabling

If you are making a direct serial connection between two Windows computers or between a Windows and a Macintosh computer, your cable must be wired as shown in the following tables.

The wiring shown here is required for direct network connections. (For more information, see Direct connections.) Note that off-the-shelf null modem cables may not be wired properly. Be sure to confirm that your null modem cables are wired as shown.

9-pin null modem cabling

Remote host serial port connector | Calling system serial port connector | Signal
3 | 2 | Transmit data
2 | 3 | Receive data
7 | 8 | Request to send
8 | 7 | Clear to send
6, 1 | 4 | Data set ready and carrier detect
5 | 5 | Signal ground
4 | 6, 1 | Data terminal ready

25-pin null modem cabling

Remote host serial port connector | Calling system serial port connector | Signal
2 | 3 | Transmit data
3 | 2 | Receive data
4 | 5 | Request to send
5 | 4 | Clear to send
6, 8 | 20 | Data set ready and carrier detect
7 | 7 | Signal ground
20 | 6, 8 | Data terminal ready

9-to-25 pin null modem cabling

25-pin connector | 9-pin connector | Signal (25-pin)
2 | 2 | Transmit data
3 | 3 | Receive data
4 | 8 | Request to send
5 | 7 | Clear to send
6, 8 | 4 | Data set ready and carrier detect
7 | 5 | Signal ground
20 | 6, 1 | Data terminal ready

Macintosh-to-PC 25-pin cable

The following table shows the correct pin connections from an 8-pin RS 422/423 mini-circular (Macintosh) connector to a 25-pin RS 232-C PC connector. On the DB25 connector, pins 6 and 8 are jumpered together and on the mini-circular connector, pins 4 and 8 are jumpered together.

Mini-circular connector (RS 422/423) | DB25-P Connector (RS232-C) | Mini-circular connector signal
1 | 6, 8 | Data terminal ready
2 | 20 | Data set ready
3 | 3 | Transmit data
4, 8 | 7 | Signal ground
5 | 2 | Receive data
6 | -- | No connection
7 | -- | No connection
Shield |  | Protective ground

Detailed technical information for cabling Macintosh computers is available in the Tech Info Library on the Support page at the Apple Computer Web site. (http://www.apple.com/)

Note


Modem diagnostics

You can verify that your modem is working properly by using the diagnostics that are available through the Phone and Modem Options icon in Control Panel. (For more information on this procedure, see To test a modem.)

When you query a modem, Windows tries the following commands and displays the results.

Command | Response
ATQ0V1E0 | Initializes the query.
AT+GMM | Model identification (ITU V.250 recommendation is not supported by all modems).
AT+FCLASS=? | Fax classes supported by the modem, if any.
AT#CLS=? | Shows whether the modem supports the Rockwell voice command set.
ATIn | Displays manufacturer's information for n = 1 through 7. This provides information such as the port speed, the result of a checksum test, and the model information. Check the manufacturer's documentation for the expected results.

You can also record a log of commands as they are sent to the modem by communication programs or the operating system. For more information, see To log and view modem commands.


Connecting using your modem

Windows 2000 supports the following uses of a modem:

To | See
Make a phone connection to another computer. | Using HyperTerminal
Make a direct connection another computer. | Direct connections
Dial a number, receive calls, or place a video or conference call. | Using Phone Dialer
Send and receive faxes if you have a fax modem. | Fax overview
Log onto a network or connect to another computer. | About Network and Dial-up Connections

Note

  • You can also install communications programs provided by other manufacturers. They can provide added or different functionality or serve a specific purpose, such as connecting to an online service.


Resources

This section contains references to additional information related to modems.

General modem resources

Support Online from Microsoft Product Support Services at the Microsoft Web site (http://www.microsoft.com/) provides a searchable database of technical support information for Microsoft products. You can search here for general information about modems or for information related to particular Microsoft products.

For more information about supported modems, see the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/). Untested modems may work in Windows 2000.

Modem command references

Most modems support the AT command set. If you are uncertain about the exact command set supported by your modem, check the manufacturer's documentation. The modem documentation may also provide information about special commands supported by the modem. The modem manufacturer's Web site is often a good place to find technical information for your modem and the commands it supports.

Service packs, drivers, and updates

Additional modem support and fixes are sometimes included in service packs and updates. To check if a service pack or update has been released, see the Microsoft Windows Update pages at the Microsoft Web site (http://www.microsoft.com/).

Also, you can often download your modem's most current installation files from the modem manufacturer's Web pages.


Troubleshooting

  • Troubleshooting modems
  • Improving modem throughput speeds
  • Information about specific modems


Troubleshooting modems

The modem diagnostics indicate that an external serial modem is not receiving commands.

Cause: If the modem diagnostics indicate that the modem is not receiving commands, the modem cabling may be faulty.

Solution: Try connecting the modem with a new cable.

The modem cable is good, but the modem still does not receive commands.

Cause: The modem is installed incorrectly.

Solution: Check the modem's documentation to make sure that you installed it correctly.

The modem is installed correctly but the diagnostics indicate that it is not responding correctly.

Cause: The incorrect model and make were specified during installation in Windows or an obsolete installation (.inf) file was used to install the modem.

Solution: Check the modem documentation for the correct model and make or a compatible model and make, and reinstall the modem. You can check with the manufacturer to see if there is are more recent installation files available for installing the modem in Windows 2000.

According to the modem diagnostics, the modem works but you still cannot make a connection.

Cause: The modem is connected incorrectly to the phone line or there is a problem with the phone line.

Solution: Check the connection to the phone line. If the modem is connected correctly, have a telephone professional check your phone line.

You cannot connect or are having problems connecting to another computer or an online service provider.

Cause: The data connection parameters (see Hardware settings) for the two modems are not the same. Data connection parameters for two modems need to be identical for them to connect successsfully.

Solution: Check the hardware settings for both computers. Typical settings are eight data bits, None for parity, one stop bit.

If you are connecting to an online service provider, refer to the documentation provided by your service provider for the correct settings. These are typically eight data bits, None for parity, one stop bit. Bulletin boards and most service providers use these settings. If these do not work, try seven data bits, even parity, and one stop bit. A few online service providers use these settings. Other settings are extremely rare.

Your PCMCIA modem card was not detected automatically when you inserted it.

Problem: The card's built-in COM port is not configured.

Solution: Use Add/Remove Hardware in Control Panel to configure the card's built-in COM port. You can then install the PCMCIA modem by using the Phone and Modem Options in Control Panel (See To install a modem).

An RS-232 serial device is functioning poorly or not at all

Some RS-232 serial devices now support speeds faster than the 115.2 Kbps currently supported by the standard serial ports installed on most computers. (For example, some serial devices support 230 Kbps)

If the Port speed in the connection preferences is faster than 115.2 Kbps, then try reducing the speed to 115.2 Kbps. You can leave the Maximum Port Speed in the modem properties at the higher setting. If the serial port on your computer supports speeds faster than 115.2 Kbps, then set the Port speed to whichever is slower, the serial port speed or the device speed.

A connection in Network and Dial-up Connections reports that a port is in use or not configured for remote access.

Cause: There are several possible causes:

  • When you started Windows, a Plug and Play modem was not connected or it was turned off, so it was not detected correctly.
  • The port is in use by another program, such as Fax or Phone Dialer.
  • The connection may not have been updated to reflect changes in communications equipment, such as new serial ports or modems.

Solution: Use one of the following solutions:

  • If the modem was disconnected or turned off, reconnect or turn on your modem, and then either restart Windows or use Device Manager to scan for new hardware.
  • If the communications port is already in use by another connection, hang up the connection, or modify the connection to use a different port.
  • If you have changed your hardware (such as a new serial port or modem), you must reconfigure the connection.

See also: Configure a connection; Reinstall a Plug and Play device

Notes

  • To diagnose and correct modem problems with the interactive modem troubleshooter, see Modem Troubleshooter. For modem diagnostics, see To test a modem. Refer to the modem manufacturer's documentation or customer service representative for the correct modem commands and responses.
  • It is usually a good idea to note changes to modem settings and switches as you make them. This enables you to return the modem to its previous state, if necessary.
  • If you have modem problems, you may want to report them to your system administrator, the modem manufacturer, or your supplier. In your report, include your modem log, which records information about your attempts to connect to other systems. For information about creating a modem log, see To log and view modem commands.


Improving modem throughput speeds

If you have a 33.6 kilobits per second (Kbps) (V.34 protocol) modem and consistently connect at 26 Kbps or higher, or you have a 56 Kbps (V.90, K56flex, or X2 protocols) modem and consistently receive data from your Internet service provider or online provider at 40,000 bps or higher, there is not much you can do to go faster. Higher speeds are not possible with most phone circuits. The rated speeds are only possible with a near-perfect connection.

If you consistently connect at slower speeds (24 Kbps or less for a 33.6 Kbps modem or less than 40 Kbps for a 56 Kbps modem), you can try the following:

  • Check that the correct manufacturer and model are listed for your modem in Phone and Modem Options. If your modem is not listed correctly, try following the steps in To install an unsupported modem to install the correct modem.
  • Check if the manufacturer has a new installation disk or .inf file available. Files can often be downloaded from a manufacturer's Web site or bulletin board.
  • For a 33.6 Kbps modem, make sure the Maximum Port Speed is set at 38,400 bps or higher (57,600 is recommended). For a 56 Kbps modem make sure is is set at 115,200 bps. See To change the modem port speed for instructions.
  • Make sure the modem is operating at the correct temperature. Most modems operate better if they do not get too hot or too cold. Do not block air flow by placing things on top, under, or around your modem or computer.
  • Try connecting to numbers that you know support a given speed. This lets you know whether the problem is at your end or the other end.
  • Make sure a local number is actually a local call. Many online service providers forward local calls to a distant location to provide local calling service. This works well at 14,400 bps, but can degrade the signal and limit higher speeds.
  • If your phone line has a surge suppressor, you can try using your modem without it. Note, however, that doing so eliminates the protection provided to your equipment by the surge protector.
  • Have an expert check the telephone wiring between the telephone company connection and your computer. Faulty wiring, soldered connections, long connecting cables, inferior equipment (phones, fax machines, or even other modems) can all degrade the signal. To distinguish between wiring and line problems, check the voice quality, both while the local wiring is connected and on the telephone company line while it is disconnected from the local wiring. Many phone companies now connect their service with a modular plug, which consumers can disconnect to perform this check.

Telephone companies normally do not guarantee data throughput speeds. When you ask your telephone company to fix a noisy line, you may be told you need a data line or conditioned circuit. This is usually an expensive solution. Modems can perform well on a good quality voice circuit. Ideally you want your system tested with a sophisticated line tester (a "bit error rate tester" or "data test set") rather than the regular line tester. You can also ask the company to switch you to a different cable pair from the central office. Sometimes, people solve the problem by ordering a different phone number.

For additional information, see Attaining fast speeds with a 56 Kbps modem, Data transfer speed, and Optimizing data transfer speed


Information about specific modems

This section gives additional information about specific modems that are supported by Network and Dial-up Connections. For a list of supported modems, see the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).

The following information is available regarding specific modems:

  • Characteristics of specific modems
  • Special characteristics of PDI modems
  • Special chacteristics of US Robotics modems

For information about modems not mentioned here, see Resources.


Characteristics of specific modems

Modems supported by Network and Dial-up Connections do not necessarily work in all modes with other modems on the Microsoft Windows Hardware Compatibility List.

For example, some V.32bis modems do not work with port speeds of 14,400 bps although they communicate at a modem-to-modem speed of 14,400 bps. If your V.32bis modem does not work at an initial speed of 14,400 bps, you should change the speed to 19,200 bps. For information about changing initial modem speed, see To configure your modem for a network connection.

Internal modems

Windows 2000 cannot automatically detect certain internal modems, such as the Digicom Scout Plus. You must install the modem manually through Control Panel.

Callback

Modems supported as server modems may not support callback when used as client modems.

Manual dialing

Modems that have special characteristics with manual dialing are listed in the following table.

Modem | Special characteristic
Bocamodem M1440 | Fails modem protocol negotiation.
Gateway 2000 Telepath Internal | Always disconnected by the server after negotiation.
Intel SatisFaxtion 100 | Fails authentication.
Racal-Milgo 2412 | Handset can never be replaced, even after connection.
Ven-Tel 9600 Plus II | Fails authentication.


Special characteristics of PDI modems

  • PDI-1000

    The PDI-1000 is supported as a client modem only.

  • PDI-1000/S intelligent data adapter

    The PDI-1000/S is a digital device that connects to a dial-out modem or modem pool through an IBX digital phone line. Although not a modem, a PDI performs like one when connected to a modem pool.

Note

  • If you are experiencing trouble connecting to the remote access server through a PDI-1000/S, try the following:
    • Make sure your IBX provider configures the system to expect a PDI at a certain number. If the IBX is not configured for a PDI on that line, it drops the line during a call. Dial-up and dial-out lines must be configured independently.
    • In the Modem Configuration dialog box for the dial-up connection, set Maximum speed (bps) to correspond to the speed of the server's modem. To check or change the current value of this setting, use the procedure To configure your modem for a network connection. If you don't know the speed of the server's modem, ask your system administrator.


Special characteristics of US Robotics modems

  • HST

    US Robotics HST modems use a proprietary protocol that cannot negotiate connection speeds greater than 2400 bps with modems that do not support this protocol.

    Even if you have HST-compatible modems on both the remote client and server, Microsoft does not recommend connecting at 14,400 bps with these modems. The HST protocol is not a full-duplex 14,400 bps protocol. In other words, data transmitted in one direction travels at 14,400 bps while data traveling in the opposite direction travels at a much slower rate. This results in a low throughput since the remote access service depends on the same speed for transferring data in both directions.

  • All 14,400 bps modems

    All US Robotics 14,400 bps modems must be set to 19,200 bps, not 14,400 bps, as the initial speed. This applies to the US Robotics Sportster modem, which is installed on some Gateway 2000 computers.

    If a US Robotics Sportster modem initiates a connection to a Hayes Optima 14.4, the two modems are not able to negotiate a connection. If a Hayes Optima 14.4 initiates a connection to a US Robotics Sportster 14.4 modem, the connection is successful.